/******************************************************************************
*                                                                             *
* License Agreement                                                           *
*                                                                             *
* Copyright (c) 2009 Altera Corporation, San Jose, California, USA.           *
* All rights reserved.                                                        *
*                                                                             *
* Permission is hereby granted, free of charge, to any person obtaining a     *
* copy of this software and associated documentation files (the "Software"),  *
* to deal in the Software without restriction, including without limitation   *
* the rights to use, copy, modify, merge, publish, distribute, sublicense,    *
* and/or sell copies of the Software, and to permit persons to whom the       *
* Software is furnished to do so, subject to the following conditions:        *
*                                                                             *
* The above copyright notice and this permission notice shall be included in  *
* all copies or substantial portions of the Software.                         *
*                                                                             *
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR  *
* IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,    *
* FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE *
* AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER      *
* LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING     *
* FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER         *
* DEALINGS IN THE SOFTWARE.                                                   *
*                                                                             *
* This agreement shall be governed in all respects by the laws of the State   *
* of California and by the laws of the United States of America.              *
* Altera does not recommend, suggest or require that this reference design    *
* file be used in conjunction or combination with any other product.          *
******************************************************************************/

/*
  bts.h:
  Header file to support bts.c. All defines, data types, and function
  prototypes used in bts.c should be declared here. Structures describing
  the underlying hardware should be declared in this file.
*/

#ifndef _BTS_H_
#define _BTS_H_

#endif //_BTS_H_


#include <stdio.h>
#include <io.h>
#include "system.h"
#include "alt_types.h"
#include "bts_defs.h"

/*
struct cli_struct{
  alt_u32   port;
  alt_u32   port_com;
  alt_u32   port_mem;
  alt_u32   port_type[num_ports_dd+1]; // +1 for special case of only 0 com or mem interfaces
};
void setPort(struct cli_struct *);
void factory_test_mem_gui(struct aci_map_mem *aci);
void check_loopbackcard(struct cli_struct *);
*/

int io_aci  (
	alt_u8 display,
	alt_u32 aci_val[],
	char aci_rw[],
	int base_addr,
	int map_addr,
	int lane,
	int words,
	char heading_str[],
	char lane_str[]
);
